Page MenuHomePhabricator

Remove stale Gerrit identity for awight
Closed, ResolvedPublic

Description

Hi, sorry to bother you with this minor request but I'm unable to remove my old, primary email in gerrit. The stale email is awight@wikimedia.org, username is awight.

Event Timeline

awight created this task.Mar 27 2019, 11:30 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 27 2019, 11:30 AM
hashar added a subscriber: hashar.Mar 27 2019, 12:01 PM

The account no more has an email.

commit eaeb5d6ce747ba4e40bba1d81eff01d048700d49
Author:     Gerrit Code Review <gerrit@wikimedia.org>
AuthorDate: Sun Mar 24 07:46:42 2019 +0000
Commit:     Gerrit Code Review <gerrit@wikimedia.org>
CommitDate: Sun Mar 24 07:46:42 2019 +0000

    Update account

diff --git a/account.config b/account.config
index e552508c3..be93a21af 100644
--- a/account.config
+++ b/account.config
@@ -1,3 +1,2 @@
 [account]
        fullName = Awight
-       preferredEmail = awight@wikimedia.org

And it has been deleted via:

2019-03-24T07:46:42	POST	http://gerrit.wikimedia.org/r/accounts/self/external.ids:delete	-

Anyway haven't you left the foundation? If so I am surprised the account is still active.

The full context is that I'm continuing to use my account for volunteer purposes, so what I'm trying to do is switch it over to use spam@ludd.net to preferred email. I'm still unable to do that from the web UI, maybe I just need to wait for changes to propagate though.

Related are T216425 and T216995

The change is immediate, I am confused as to how you managed to drop the email anyway. It is also supposedly fetched from LDAP so I do not quite know how you managed to remove it.

Anyway, can you try heading to https://gerrit.wikimedia.org/r/#/settings/contact hit Reload. That will log you out and ask to login again. Hopefully that would refresh metadata from LDAP and would get your email setup. Else we need to find out how to fix it up :]

Thanks for looking at this. I reloaded and it looks the same. When I try to set preferred email to my personal address and save changes, I get realm does not allow editing name.

Paladox moved this task from Bugs & stuff to Local hacks on the Gerrit board.Mar 28 2019, 6:25 PM
awight closed this task as Resolved.Mar 29 2019, 12:01 AM
awight claimed this task.

Have you tried changing the email address on https://wikitech.wikimedia.org/wiki/Special:Preferences#mw-prefsection-personal already?

That was it! Thanks for pointing this out, everything looks correct now.

Out of curiosity, what was the email in your wikitech preferences? Was it empty?